/* body */
body{
    background: linear-gradient(90deg, #e3ffe7 0%, #d9e7ff 100%);
    scroll-behavior: smooth;
}

/* Header */
.header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 10px 20px 20px 0;
    background: transparent;
}

.nav-item li, a {
    text-decoration: none;
    font-family: "Cascadia Code", monospace;
    color: #1C274C;
}
.nav-item a:hover {
    color: red;
    border-bottom: 2px solid red;
}

.logo {
    margin-left: 100px;
    display: flex;

}

.nav-item {
    list-style: none;
    display: inline;
    padding: 10px 20px;
}

.navbar ul {
    margin: auto;
    width: auto;
    display: flex;
}

#search {
    display: inline-block;
    border: none;
    border-radius: 7px;
    padding: 10px;
    width: 100%;
    font-size: 14px;
    font-family: monospace;
}

/* filter */
.filter_nav {
    justify-content: space-around;
    align-items: center;
    width: auto;
    padding-left: 70px;
}

.filter_nav li {
    display: inline-block;
    list-style: none;
    padding: 10px;
 }

.filter_nav li input {
    padding: 15px;
    background: linear-gradient(90deg, red 0%, darkred 100%);
    color: white;
    border: none;
    border-radius: 5px;
    text-align: center;
    width: 200px;
}

.filter_nav li select {
    width: 200px;
    padding: 15px;
    border-radius: 5px;
    border-color: lightgray;
    text-align: left;
}

/* cover */
.cover-img{
    border-radius: 15px;
    width: 100%;
    object-fit: cover;
    transform: scale(0.935);
}

.cover-content {
    font-family: monospace;
    position: absolute;
    bottom: 0;
    background: transparent;
    color: #f1f1f1;
    width: auto ;
    font-size: 16px;
    padding: 20px 20px 200px;
    transform: scale(0.935);
    text-align: left;
    transition: 1s ease;
    opacity: 0;
}
.cover-content:hover {
    opacity: 1;
}

.play-button {
    width: 30px;
    height:30px;
}

.play-button{
    padding: 20px 20px 0 20px;
    transition: ease-in-out 200ms;
}

.play-button:hover{
    transform: scale(1.5);
}

/*Image content */
.mov-img{
    display: flex;
    width: 270px;
    height: 370px;
    margin: 12px;
    border-radius: 20px;
    box-shadow: 0 0 ;
    transition: 1s ease;
}

.movies-list-img> img:hover {
    box-shadow: 10px 10px 20px gray ;
}

.movies-list-img:hover {
    transform: scale(1.1);
}

.movies-list ul {
    display: flex;
    flex-wrap: wrap;
    list-style: none;
}
.movies-index{
    display: flex;
    flex-wrap: wrap;
}
.movies-list-img {
    border-radius: 15px;
    transition: transform.2s ease-in-out ;
    position: relative;
}

.movie-content {
    position: absolute;
    font-family: monospace;
    bottom: 0;
    color: #f1f1f1;
    background: transparent;
    width: auto ;
    transition: .2s ease;
    opacity: 0;
    font-size: 20px;
    padding: 20px;
    transform: scale(0.935);
    text-align: left;
}

.movies-list-img:hover .movie-content {
    opacity: 1;
}

/* watchlist */
.watchlist-container ul{
    display: flex;
    justify-content: space-between;
    list-style: none;
    padding-left: 100px ;
}

.watchlist-container ul li {
    padding-right: 100px;
}

.watchlist-container-text{
    font-family: monospace;
    color: black;
    width: auto ;
    font-size: 20px;
    padding: 20px;
    text-align: left;
}

.clear{
    clear: both;
    display: block;
    width: 100%;
    padding: 20px;
    font-family: monospace;
    font-size: 15px;
    background: transparent;
    border: none;
}
/* misc */
.red {
    background: #e74c3c;
    border-radius: 5px;
    border: none;
    padding: 10px;
    height: 45px;
}

.movies-index {
    padding-left: 50px;
}

.Footer{
    padding: 20px;
    text-align: left;
    font-family: monospace;
    font-size: 18px;
}
.active{
    color: red;
    border-bottom: 2px solid red;
}
.toggle-btn{
    display: none;
    cursor: pointer;
}

/* Responsive mobiles/tablets size*/
@media (max-width: 992px) {
    /* Navbar */
    .header{
        padding: 0;
        background: transparent;
        width: 40%;
        display: inline-flex;
        flex-wrap:wrap;
        flex-direction: column-reverse;
    }

    .navbar{
        display: flex;
        align-items: center;
    }

    .logo,.nav-item #search{
        display: none;
    }
    /* cover */
    .cover-img{
        border-radius: 15px;
        width: 100%;
        object-fit: cover;
        transform: scale(0.935);
    }
    .cover-content {
        display: none;
    }

    .mov-img{
        display: flex;
        width: 140px;
        height: 240px;
        margin: 12px;
        border-radius: 20px;
        box-shadow: 0 0 ;
        transition: 1s ease;
    }
}




